import requests
from datetime import datetime

def send_sms(to_number, name, date_time, title):
    # Try multiple datetime formats
    dt = None
    for fmt in ("%Y-%m-%dT%H:%M:%S.%f%z", "%Y-%m-%dT%H:%M:%S%z", "%Y-%m-%d %H:%M:%S%z"):
        try:
            dt = datetime.strptime(date_time, fmt)
            break
        except ValueError:
            continue

    if dt is None:
        return "Invalid datetime format"

    # Format for SMS
    date_str = dt.strftime("%Y/%m/%d")
    time_str = dt.strftime("%H:%M")

    # Message content
    msg = f"""جناب {name}
شما در تاریخ {date_str}
ساعت {time_str}
به جلسه ی {title}
در متاورسی دعوت شده اید
my.xroomapp.com"""

    # SMS service credentials
    uname = "09399112092"
    password = "Dadechin123!@##!"
    from_number = "+983000505"  # Replace with your SMS line number

    # Request URL
    url = (
        f"https://sms.farazsms.com/class/sms/webservice/send_url.php"
        f"?from={from_number}&to={to_number}&msg={msg}&uname={uname}&pass={password}"
    )
    
    print(url)

    try:
        response = requests.get(url)
        return response.text
    except Exception as e:
        return str(e)
